# Board - Olimexino

The Olimexino is a cheap and widely available development board

This board is not recommended for cleanflight development because many of the pins needed are not broken out to header pins.  A better choice for development is the Port103R, EUSTM32F103RB (F1) or the STM32F3Discovery (F3).

## Connections

### RC Input

INPUT

PA0 CH1 - D2  - PWM1 / PPM
PA1 CH2 - D3  - PWM2 / PWM RSSI
PA2 CH3 - D1  - PWM3 / UART2 TX
PA3 CH4 - D0  - PWM4 / UART2 RX
PA6 CH5 - D12 - PWM5 / SOFTSERIAL1 RX
PA7 CH6 - D11 - PWM6 / SOFTSERIAL1 TX
PB0 CH7 - D27 - PWM7 / SOFTSERIAL2 RX
PB1 CH8 - D28 - PWM8 / SOFTSERIAL2 TX

### PWM Output

OUTPUT
PA8  CH1 - PWM9  - D6
PA11 CH2 - PWM10 - USBDM
PB6  CH3 - PWM11 - D5
PB7  CH4 - PWM12 - D9
PB8  CH5 - PWM13 - D14
PB9  CH6 - PWM14 - D24

## Olimexino Shield V1

Headers for a CP2102 for UART1

Top left

6 way header pinouts (left to right)

1 - N/C
2 - N/C
3 - N/C
4 - D7 - UART1 TX / CP2102 RX
5 - D8 - UART1 RX / CP2102 TX
6 - GND

Headers for PPM, RSSI, SoftSerial1 inputs and Motor outputs

Top centre

Top Row = GROUND
Middle Row = 5V
Bottom Row = Signals

Signal pinouts (left to right)

1 - D2  - PWM1 - PPM
2 - D3  - PWM2 - RSSI
3 - D11 - PWM6  - INPUT CH6 / SS1 TX
4 - D12 - PWM5  - INPUT CH5 / SS1 RX
5 - D5  - PWM11 - OUTPUT CH3
6 - D9  - PWM12 - OUTPUT CH4
7 - D14 - PWM13 - OUTPUT CH5
8 - D24 - PWM14 - OUTPUT CH6


SoftSerial 1 - Headers for FTDI

Top Right

6 way header pinouts (left to right)

1 - N/C
2 - D11 - SS1 or UART2 TX / FTDI RX
3 - D12 - SS1 or UART2 RX / FTDI TX
4 - N/C
5 - N/C
6 - GND

Top Right

3 way power selector header

1 - VIN
2 - 5V from FTDI
3 - N/C - Jumper Storage

Middle Left

3 way power selector header

1 - VIN
2 - 5V from CP2102
3 - N/C - Jumper Storage

Use either power selector to supply VIN from the serial port adapter sockets, ensure that both power selectors are not enabled at the same time.
One or both of the power selector jumpers MUST be in the jumper storage position. 


Sonar

Inner Middle Bottom Right 

4 Header pins (top to bottom)

1 - VIN
2 - Trigger
3 - Echo
4 - GND


Serial IO & Serial Loopback  

Bottom right

The header pins allows combinations of serial loopback and Serial IO.  Any amount of connections or jumpers can be used at the same time.

Jumper positions

>< = Horizontal jumper

v = Vertical jumper
^

><- FTDI RX connected to SS1 TX
><- FTDI TX connected to SS1 RX

->< FTDI RX connected to UART2 TX
->< FTDI TX connected to UART2 RX

-v- FTDI LOOPBACK
-^- 

v-- SS1 LOOPBACK
^--  

--v UART2 LOOPBACK
--^  

6 way header pinouts (top left to bottom right)

123
456

1 - SS 1 TX
2 - FTDI RX
3 - UART2 TX
4 - SS1 RX
5 - FTDI TX
6 - UART2 RX

Bottom Right

HoTT Telemetry port

When the HoTT enable jumper is on pins 2 and 3 then HoTT data can be received/transmitted on either
serial port depending on the placement of the Derial IO selection jumpers.

When not in use the HoTT enable jumper can be stored on pins 3 and 4

The HoTT telemetry is connected to the center pins (2 & 5) of the Serial IO header.

4 way header (left to right)

1 - HoTT Telemetry In/Out
2 - HoTT Enable Jumper
3 - HoTT Enable Jumper
4 - N/C - Jumper Storage
